LINUX.ORG.RU

Нет gem`a в ruby 2.0.0 gentoo

 , ,


0

1

Решил осовить Rails. Поставил все из репозитория, запускаю bundle, на что он ругается на отсутствие гема bundle:

/usr/bin/bundle:8:in `load': cannot load such file -- /usr/lib64/ruby/gems/2.0.0/gems/bundler-1.3.5/bin/bundle (LoadError)
	from /usr/bin/bundle:8:in `<main>'

Хотя dev-ruby/bundler установлен. Пробовал ставить его через gem install bundler --version 1.3.5 - не помогло.

Что с этим можно сделать?

В последние разы как я с ним работал, эта штуковина безапелляционно хочет иметь RVM.

Попробуй через поставить rvm, через него ruby-2.1, а через него уже создай gemset, в нем поставь bundler и делай bundle.

noomorph ()

кастовать великую 8ку гентушников лора и молить их решить проблему.

erzent ☆☆ ()
Ответ на: комментарий от noomorph

gentoo-way

То есть на gentoo-way стоит забить? Если переходить на rvm, все что ставил через репы сносить?

postgred ()
Ответ на: gentoo-way от postgred

извини, не учел, что нужен gentoo-way.

если рискнешь и дашь мне ssh доступ на машинку, могу поглядеть, костыль какой-нибудь применить.

но так как это занятие в высшей степени рискованное для тебя, а дебагинг по переписке на редкость утомительное занятие для меня, то ничем помочь не смогу.

noomorph ()
Ответ на: gentoo-way от postgred

Про gentoo-way забудь, окружение должно быть легко воспроизводимым и независимым от дистрибутивокостылей, ведь тебе его еще деплоить.

По теме: я лично добавил в ~/.gemrc

gem: --user-install

И ставлю все в ~/.gem/ruby (надо добавить ~/.gem/ruby/2.1.0 в $PATH).

Когда-то пользовался rbenv и ruby-build, чтобы не зависеть от системной версии ruby (когда еще 1.9 было).

mtk ()

ставь bundler 1.3.5-r1 там добавили ruby_targets_ruby20

arrecck ★★ ()

Буду краток, RVM независимо от дистрибутива.

backbone ★★★★★ ()
Ответ на: комментарий от erzent

кастовать великую 8ку гентушников лора и молить их решить проблему.

не знаю что за восьмёрка но уверен что они и так подписаны на тэг gentoo

snaf ★★★★★ ()

Чертовы наркоманы :3

Тебе не нужен RVM, тебе нужно поменять значение переменной GEM_HOME.

export GEM_HOME=~/.gem/ruby/2.1.0
S-Mage ★★ ()
Последнее исправление: S-Mage (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.